WriterExtensibleOption::engine Class Reference

Base engine. More...

`#include <ql/experimental/exoticoptions/writerextensibleoption.hpp>`

Inheritance diagram for WriterExtensibleOption::engine:
[legend]

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Public Member Functions inherited from GenericEngine< WriterExtensibleOption::arguments, WriterExtensibleOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual void | calculate () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Protected Attributes inherited from GenericEngine< WriterExtensibleOption::arguments, WriterExtensibleOption::results >
WriterExtensibleOption::arguments | arguments_
WriterExtensibleOption::results | results_

## Detailed Description

Base engine.